SuSE 10 Security Update : wireshark (ZYPP Patch Number 7943)

Medium Nessus Plugin ID 58117


The remote SuSE 10 host is missing a security-related patch.


This version upgrade of wireshark to 1.4.11 fixes the following security issues :

- RLC dissector buffer overflow. (CVE-2012-0043)

- multiple file parser vulnerabilities. (CVE-2012-0041)

- NULL pointer vulnerabilities. (CVE-2012-0042)

- DoS due to too large buffer alloc request.

- DoS due to integer underflow and too large buffer alloc.
request. (CVE-2012-0067)

- memory corruption due to buffer underflow Additionally, various other non-security issues were resolved.


Apply ZYPP patch number 7943.

See Also

Plugin Details

Severity: Medium

ID: 58117

File Name: suse_wireshark-7943.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2012/02/24

Modified: 2012/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:A/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2012/01/31

Reference Information

CVE: CVE-2012-0041, CVE-2012-0042, CVE-2012-0043, CVE-2012-0066, CVE-2012-0067, CVE-2012-0068